NX Open C++ Reference Guide
|
Represents the set of Modeling preferences applicable to part
To obtain an instance of this class, refer to Preferences::PartPreferences
Created in NX3.0.0.
More...
Public Types | |
enum | CurveCurvatureDisplayType { CurveCurvatureDisplayTypeComb, CurveCurvatureDisplayTypeRadiusOfComb } |
Describes whether the curve curvature display is Curvature Comb or radius of Curvature Comb. More... | |
enum | DensityUnitType { DensityUnitTypeLbPerCuInch, DensityUnitTypeLbPerCuFeet, DensityUnitTypeGmPerCuCm, DensityUnitTypeKgPerCuMeter } |
Describes the units available for representing density. More... | |
enum | GridKnotLineFontType { GridKnotLineFontTypeSolid = 1, GridKnotLineFontTypeDashed, GridKnotLineFontTypePhantom, GridKnotLineFontTypeCenterline, GridKnotLineFontTypeDotted, GridKnotLineFontTypeLongDashed, GridKnotLineFontTypeDottedDashed } |
the available font for grid/knot line More... | |
enum | GridResolutionType { GridResolutionTypeNone, GridResolutionTypeCoarse, GridResolutionTypeStandard, GridResolutionTypeFine, GridResolutionTypeExtraFine, GridResolutionTypeUltraFine } |
Describes all available grid resolutions for selection. More... | |
Public Member Functions | |
double | AngleToleranceData () |
Returns the angle tolerance data. | |
int | C0KnotLineColor () |
Returns the C0 knot line color Created in NX5.0.0. | |
NXOpen::Preferences::PartModeling::GridKnotLineFontType | C0KnotLineFont () |
Returns the C0 knot line font Created in NX5.0.0. | |
bool | C0KnotUseBodyColor () |
Returns whether c0 knot line use body color Created in NX5.0.0. | |
bool | C0KnotUseBodyFont () |
Returns whether C0_knot use body font Created in NX5.0.0. | |
int | C1KnotLineColor () |
Returns the C1 knot line color Created in NX5.0.0. | |
NXOpen::Preferences::PartModeling::GridKnotLineFontType | C1KnotLineFont () |
Returns the C1 knot line font Created in NX5.0.0. | |
bool | C1KnotUseBodyColor () |
Returns whether c1 knot line use body color Created in NX5.0.0. | |
bool | C1KnotUseBodyFont () |
Returns whether C1_knot use body font Created in NX5.0.0. | |
int | C2KnotLineColor () |
Returns the C2 knot line color Created in NX5.0.0. | |
NXOpen::Preferences::PartModeling::GridKnotLineFontType | C2KnotLineFont () |
Returns the C2 knot line font Created in NX5.0.0. | |
bool | C2KnotUseBodyColor () |
Returns whether c2 knot line use body color Created in NX5.0.0. | |
bool | C2KnotUseBodyFont () |
Returns whether C2_knot use body font Created in NX5.0.0. | |
NXOpen::Preferences::PartModeling::CurveCurvatureDisplayType | CurveCurvatureDisplay () |
Returns the curve curvature display. | |
bool | CurveCurvatureShowCap () |
Returns the curve curvature display show cap line Created in NX5.0.0. | |
int | CurveCurvatureStyle () |
Returns the curve curvature display style Created in NX5.0.0. | |
bool | CutViewUpdateDelayed () |
Returns the state of the cut view delay update flag. | |
double | Density () |
Returns the density. | |
NXOpen::Preferences::PartModeling::DensityUnitType | DensityUnit () |
Returns the density unit Created in NX3.0.0. | |
bool | DisplayCurveCurvatureOutside () |
Returns the curve curvature display style to show it on the inside/outside of the curve Created in NX5.0.0. | |
double | DistanceToleranceData () |
Returns the modeling distance tolerance data. | |
bool | GetHistoryMode () |
Returns whether the part is in History or History-Free mode. | |
int | GridLineColor () |
Returns the grid line color Created in NX5.0.0. | |
NXOpen::Preferences::PartModeling::GridKnotLineFontType | GridLineFont () |
Returns the grid line font Created in NX5.0.0. | |
int | GridLinesUCount () |
Returns the U count for grid lines. | |
int | GridLinesVCount () |
Returns the V count for grid lines. | |
NXOpen::Preferences::PartModeling::GridResolutionType | GridResolution () |
Returns the grid resolution. | |
bool | GridUseBodyColor () |
Returns whether grid line use body color Created in NX5.0.0. | |
bool | GridUseBodyFont () |
Returns whether grid use body font Created in NX5.0.0. | |
bool | OptimizeCurve () |
Returns the optimize curve flag Created in NX8.0.0. | |
double | OptimizeCurveToleranceFactor () |
Returns the optimize curve tolerance factor Created in NX8.0.0. | |
void | SetAngleToleranceData (double angleTolData) |
Sets the angle tolerance data. | |
void | SetC0KnotLineColor (int knotLineColor) |
Sets the C0 knot line color Created in NX5.0.0. | |
void | SetC0KnotLineFont (NXOpen::Preferences::PartModeling::GridKnotLineFontType knotLineFont) |
Sets the C0 knot line font Created in NX5.0.0. | |
void | SetC0KnotUseBodyColor (bool useBodyColor) |
Sets whether c0 knot line use body color Created in NX5.0.0. | |
void | SetC0KnotUseBodyFont (bool useBodyFont) |
Sets whether C0_knot use body font Created in NX5.0.0. | |
void | SetC1KnotLineColor (int knotLineColor) |
Sets the C1 knot line color Created in NX5.0.0. | |
void | SetC1KnotLineFont (NXOpen::Preferences::PartModeling::GridKnotLineFontType knotLineFont) |
Sets the C1 knot line font Created in NX5.0.0. | |
void | SetC1KnotUseBodyColor (bool useBodyColor) |
Sets whether c1 knot line use body color Created in NX5.0.0. | |
void | SetC1KnotUseBodyFont (bool useBodyFont) |
Sets whether C1_knot use body font Created in NX5.0.0. | |
void | SetC2KnotLineColor (int knotLineColor) |
Sets the C2 knot line color Created in NX5.0.0. | |
void | SetC2KnotLineFont (NXOpen::Preferences::PartModeling::GridKnotLineFontType knotLineFont) |
Sets the C2 knot line font Created in NX5.0.0. | |
void | SetC2KnotUseBodyColor (bool useBodyColor) |
Sets whether c2 knot line use body color Created in NX5.0.0. | |
void | SetC2KnotUseBodyFont (bool useBodyFont) |
Sets whether C2_knot use body font Created in NX5.0.0. | |
void | SetCurveCurvatureDisplay (NXOpen::Preferences::PartModeling::CurveCurvatureDisplayType curveCurvatureDisplay) |
Sets the curve curvature display. | |
void | SetCurveCurvatureShowCap (bool newShowCap) |
Sets the curve curvature display show cap line Created in NX5.0.0. | |
void | SetCurveCurvatureStyle (int newStyle) |
Sets the curve curvature display style Created in NX5.0.0. | |
void | SetCutViewUpdateDelayed (bool isDelayed) |
Sets the state of the cut view delay update flag. | |
void | SetDensity (double density) |
Sets the density. | |
void | SetDensityUnit (NXOpen::Preferences::PartModeling::DensityUnitType densityUnit) |
Sets the density unit Created in NX3.0.0. | |
void | SetDisplayCurveCurvatureOutside (bool displayOutside) |
Sets the curve curvature display style to show it on the inside/outside of the curve Created in NX5.0.0. | |
void | SetDistanceToleranceData (double distTolData) |
Sets the modeling distance tolerance data. | |
void | SetGridLineColor (int gridLineColor) |
Sets the grid line color Created in NX5.0.0. | |
void | SetGridLineFont (NXOpen::Preferences::PartModeling::GridKnotLineFontType gridLineFont) |
Sets the grid line font Created in NX5.0.0. | |
void | SetGridLinesUCount (int gridLineUCount) |
Sets the U count for grid lines. | |
void | SetGridLinesVCount (int gridLineVCount) |
Sets the V count for grid lines. | |
void | SetGridResolution (NXOpen::Preferences::PartModeling::GridResolutionType gridResolution) |
Sets the grid resolution. | |
void | SetGridUseBodyColor (bool useBodyColor) |
Sets whether grid line use body color Created in NX5.0.0. | |
void | SetGridUseBodyFont (bool useBodyFont) |
Sets whether grid use body font Created in NX5.0.0. | |
void | SetHistoryFreeMode () |
Changes the modeling mode to History-Free Modeling. | |
void | SetHistoryMode () |
Changes the modeling mode to History Modeling. | |
void | SetOptimizeCurve (bool optimizeCurve) |
Sets the optimize curve flag Created in NX8.0.0. | |
void | SetOptimizeCurveToleranceFactor (double optimieCurveFactor) |
Sets the optimize curve tolerance factor Created in NX8.0.0. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents the set of Modeling preferences applicable to part
To obtain an instance of this class, refer to Preferences::PartPreferences
Created in NX3.0.0.
Describes all available grid resolutions for selection.
double NXOpen::Preferences::PartModeling::AngleToleranceData | ( | ) |
Returns the angle tolerance data.
Angle tolerance is the maximum allowable angle between the surface normals at corresponding points, or the maximum allowable angle between curve tangent vectors at corresponding points.
Created in NX3.0.0.
License requirements : None
int NXOpen::Preferences::PartModeling::C0KnotLineColor | ( | ) |
Returns the C0 knot line color
Created in NX5.0.0.
License requirements : None
NXOpen::Preferences::PartModeling::GridKnotLineFontType NXOpen::Preferences::PartModeling::C0KnotLineFont | ( | ) |
Returns the C0 knot line font
Created in NX5.0.0.
License requirements : None
bool NXOpen::Preferences::PartModeling::C0KnotUseBodyColor | ( | ) |
Returns whether c0 knot line use body color
Created in NX5.0.0.
License requirements : None
bool NXOpen::Preferences::PartModeling::C0KnotUseBodyFont | ( | ) |
Returns whether C0_knot use body font
Created in NX5.0.0.
License requirements : None
int NXOpen::Preferences::PartModeling::C1KnotLineColor | ( | ) |
Returns the C1 knot line color
Created in NX5.0.0.
License requirements : None
NXOpen::Preferences::PartModeling::GridKnotLineFontType NXOpen::Preferences::PartModeling::C1KnotLineFont | ( | ) |
Returns the C1 knot line font
Created in NX5.0.0.
License requirements : None
bool NXOpen::Preferences::PartModeling::C1KnotUseBodyColor | ( | ) |
Returns whether c1 knot line use body color
Created in NX5.0.0.
License requirements : None
bool NXOpen::Preferences::PartModeling::C1KnotUseBodyFont | ( | ) |
Returns whether C1_knot use body font
Created in NX5.0.0.
License requirements : None
int NXOpen::Preferences::PartModeling::C2KnotLineColor | ( | ) |
Returns the C2 knot line color
Created in NX5.0.0.
License requirements : None
NXOpen::Preferences::PartModeling::GridKnotLineFontType NXOpen::Preferences::PartModeling::C2KnotLineFont | ( | ) |
Returns the C2 knot line font
Created in NX5.0.0.
License requirements : None
bool NXOpen::Preferences::PartModeling::C2KnotUseBodyColor | ( | ) |
Returns whether c2 knot line use body color
Created in NX5.0.0.
License requirements : None
bool NXOpen::Preferences::PartModeling::C2KnotUseBodyFont | ( | ) |
Returns whether C2_knot use body font
Created in NX5.0.0.
License requirements : None
NXOpen::Preferences::PartModeling::CurveCurvatureDisplayType NXOpen::Preferences::PartModeling::CurveCurvatureDisplay | ( | ) |
Returns the curve curvature display.
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::PartModeling::CurveCurvatureShowCap | ( | ) |
Returns the curve curvature display show cap line
Created in NX5.0.0.
License requirements : None
int NXOpen::Preferences::PartModeling::CurveCurvatureStyle | ( | ) |
Returns the curve curvature display style
Created in NX5.0.0.
License requirements : None
bool NXOpen::Preferences::PartModeling::CutViewUpdateDelayed | ( | ) |
Returns the state of the cut view delay update flag.
Created in NX4.0.0.
License requirements : None
double NXOpen::Preferences::PartModeling::Density | ( | ) |
Returns the density.
The value used to set this property must be in the units of the density units preference (that is, the value of DensityUnit and SetDensityUnit ). Likewise, the density returned by this property is in the units of the density units preference.
Created in NX3.0.0.
License requirements : None
NXOpen::Preferences::PartModeling::DensityUnitType NXOpen::Preferences::PartModeling::DensityUnit | ( | ) |
Returns the density unit
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::PartModeling::DisplayCurveCurvatureOutside | ( | ) |
Returns the curve curvature display style to show it on the inside/outside of the curve
Created in NX5.0.0.
License requirements : None
double NXOpen::Preferences::PartModeling::DistanceToleranceData | ( | ) |
Returns the modeling distance tolerance data.
This tolerance value is used throughout the Modeling application, such as for creating swept and revolved solid bodies and sectioning solid bodies. For example, when creating sheet bodies, the distance tolerance specifies the maximum allowable distance between corresponding points on the original surface and the resulting B-surface.
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::PartModeling::GetHistoryMode | ( | ) |
Returns whether the part is in History or History-Free mode.
Return true for History mode or false for History-Free mode. @return
Created in NX6.0.0.
License requirements : None
int NXOpen::Preferences::PartModeling::GridLineColor | ( | ) |
Returns the grid line color
Created in NX5.0.0.
License requirements : None
NXOpen::Preferences::PartModeling::GridKnotLineFontType NXOpen::Preferences::PartModeling::GridLineFont | ( | ) |
Returns the grid line font
Created in NX5.0.0.
License requirements : None
int NXOpen::Preferences::PartModeling::GridLinesUCount | ( | ) |
Returns the U count for grid lines.
It is the number of grid curves in the U direction of the faces of the body
Created in NX3.0.0.
License requirements : None
int NXOpen::Preferences::PartModeling::GridLinesVCount | ( | ) |
Returns the V count for grid lines.
It is the number of grid curves in the V direction of the faces of the body
Created in NX3.0.0.
License requirements : None
NXOpen::Preferences::PartModeling::GridResolutionType NXOpen::Preferences::PartModeling::GridResolution | ( | ) |
Returns the grid resolution.
The six options, None, Coarse, Standard, Fine, Extra Fine and Ultra Fine, produce a grid that is respectively more detailed. The None option shows no grid at all in wireframe mode.
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::PartModeling::GridUseBodyColor | ( | ) |
Returns whether grid line use body color
Created in NX5.0.0.
License requirements : None
bool NXOpen::Preferences::PartModeling::GridUseBodyFont | ( | ) |
Returns whether grid use body font
Created in NX5.0.0.
License requirements : None
bool NXOpen::Preferences::PartModeling::OptimizeCurve | ( | ) |
Returns the optimize curve flag
Created in NX8.0.0.
License requirements : None
double NXOpen::Preferences::PartModeling::OptimizeCurveToleranceFactor | ( | ) |
Returns the optimize curve tolerance factor
Created in NX8.0.0.
License requirements : None
void NXOpen::Preferences::PartModeling::SetAngleToleranceData | ( | double | angleTolData | ) |
Sets the angle tolerance data.
Angle tolerance is the maximum allowable angle between the surface normals at corresponding points, or the maximum allowable angle between curve tangent vectors at corresponding points.
Created in NX3.0.0.
License requirements : None
angleTolData | angle tol data |
void NXOpen::Preferences::PartModeling::SetC0KnotLineColor | ( | int | knotLineColor | ) |
Sets the C0 knot line color
Created in NX5.0.0.
License requirements : None
knotLineColor | knot line color |
void NXOpen::Preferences::PartModeling::SetC0KnotLineFont | ( | NXOpen::Preferences::PartModeling::GridKnotLineFontType | knotLineFont | ) |
Sets the C0 knot line font
Created in NX5.0.0.
License requirements : None
knotLineFont | knot line font |
void NXOpen::Preferences::PartModeling::SetC0KnotUseBodyColor | ( | bool | useBodyColor | ) |
Sets whether c0 knot line use body color
Created in NX5.0.0.
License requirements : None
useBodyColor | use body color |
void NXOpen::Preferences::PartModeling::SetC0KnotUseBodyFont | ( | bool | useBodyFont | ) |
Sets whether C0_knot use body font
Created in NX5.0.0.
License requirements : None
useBodyFont | use body font |
void NXOpen::Preferences::PartModeling::SetC1KnotLineColor | ( | int | knotLineColor | ) |
Sets the C1 knot line color
Created in NX5.0.0.
License requirements : None
knotLineColor | knot line color |
void NXOpen::Preferences::PartModeling::SetC1KnotLineFont | ( | NXOpen::Preferences::PartModeling::GridKnotLineFontType | knotLineFont | ) |
Sets the C1 knot line font
Created in NX5.0.0.
License requirements : None
knotLineFont | knot line font |
void NXOpen::Preferences::PartModeling::SetC1KnotUseBodyColor | ( | bool | useBodyColor | ) |
Sets whether c1 knot line use body color
Created in NX5.0.0.
License requirements : None
useBodyColor | use body color |
void NXOpen::Preferences::PartModeling::SetC1KnotUseBodyFont | ( | bool | useBodyFont | ) |
Sets whether C1_knot use body font
Created in NX5.0.0.
License requirements : None
useBodyFont | use body font |
void NXOpen::Preferences::PartModeling::SetC2KnotLineColor | ( | int | knotLineColor | ) |
Sets the C2 knot line color
Created in NX5.0.0.
License requirements : None
knotLineColor | knot line color |
void NXOpen::Preferences::PartModeling::SetC2KnotLineFont | ( | NXOpen::Preferences::PartModeling::GridKnotLineFontType | knotLineFont | ) |
Sets the C2 knot line font
Created in NX5.0.0.
License requirements : None
knotLineFont | knot line font |
void NXOpen::Preferences::PartModeling::SetC2KnotUseBodyColor | ( | bool | useBodyColor | ) |
Sets whether c2 knot line use body color
Created in NX5.0.0.
License requirements : None
useBodyColor | use body color |
void NXOpen::Preferences::PartModeling::SetC2KnotUseBodyFont | ( | bool | useBodyFont | ) |
Sets whether C2_knot use body font
Created in NX5.0.0.
License requirements : None
useBodyFont | use body font |
void NXOpen::Preferences::PartModeling::SetCurveCurvatureDisplay | ( | NXOpen::Preferences::PartModeling::CurveCurvatureDisplayType | curveCurvatureDisplay | ) |
Sets the curve curvature display.
Created in NX3.0.0.
License requirements : None
curveCurvatureDisplay | curve curvature display |
void NXOpen::Preferences::PartModeling::SetCurveCurvatureShowCap | ( | bool | newShowCap | ) |
Sets the curve curvature display show cap line
Created in NX5.0.0.
License requirements : None
newShowCap | new show cap |
void NXOpen::Preferences::PartModeling::SetCurveCurvatureStyle | ( | int | newStyle | ) |
Sets the curve curvature display style
Created in NX5.0.0.
License requirements : None
newStyle | new style |
void NXOpen::Preferences::PartModeling::SetCutViewUpdateDelayed | ( | bool | isDelayed | ) |
Sets the state of the cut view delay update flag.
Created in NX4.0.0.
License requirements : None
isDelayed | The new state of the delay update flag. |
void NXOpen::Preferences::PartModeling::SetDensity | ( | double | density | ) |
Sets the density.
The value used to set this property must be in the units of the density units preference (that is, the value of DensityUnit and SetDensityUnit ). Likewise, the density returned by this property is in the units of the density units preference.
Created in NX3.0.0.
License requirements : None
density | density |
void NXOpen::Preferences::PartModeling::SetDensityUnit | ( | NXOpen::Preferences::PartModeling::DensityUnitType | densityUnit | ) |
Sets the density unit
Created in NX3.0.0.
License requirements : None
densityUnit | density unit |
void NXOpen::Preferences::PartModeling::SetDisplayCurveCurvatureOutside | ( | bool | displayOutside | ) |
Sets the curve curvature display style to show it on the inside/outside of the curve
Created in NX5.0.0.
License requirements : None
displayOutside | display outside |
void NXOpen::Preferences::PartModeling::SetDistanceToleranceData | ( | double | distTolData | ) |
Sets the modeling distance tolerance data.
This tolerance value is used throughout the Modeling application, such as for creating swept and revolved solid bodies and sectioning solid bodies. For example, when creating sheet bodies, the distance tolerance specifies the maximum allowable distance between corresponding points on the original surface and the resulting B-surface.
Created in NX3.0.0.
License requirements : None
distTolData | dist tol data |
void NXOpen::Preferences::PartModeling::SetGridLineColor | ( | int | gridLineColor | ) |
Sets the grid line color
Created in NX5.0.0.
License requirements : None
gridLineColor | grid line color |
void NXOpen::Preferences::PartModeling::SetGridLineFont | ( | NXOpen::Preferences::PartModeling::GridKnotLineFontType | gridLineFont | ) |
Sets the grid line font
Created in NX5.0.0.
License requirements : None
gridLineFont | grid line font |
void NXOpen::Preferences::PartModeling::SetGridLinesUCount | ( | int | gridLineUCount | ) |
Sets the U count for grid lines.
It is the number of grid curves in the U direction of the faces of the body
Created in NX3.0.0.
License requirements : None
gridLineUCount | grid line u count |
void NXOpen::Preferences::PartModeling::SetGridLinesVCount | ( | int | gridLineVCount | ) |
Sets the V count for grid lines.
It is the number of grid curves in the V direction of the faces of the body
Created in NX3.0.0.
License requirements : None
gridLineVCount | grid line v count |
void NXOpen::Preferences::PartModeling::SetGridResolution | ( | NXOpen::Preferences::PartModeling::GridResolutionType | gridResolution | ) |
Sets the grid resolution.
The six options, None, Coarse, Standard, Fine, Extra Fine and Ultra Fine, produce a grid that is respectively more detailed. The None option shows no grid at all in wireframe mode.
Created in NX3.0.0.
License requirements : None
gridResolution | grid resolution |
void NXOpen::Preferences::PartModeling::SetGridUseBodyColor | ( | bool | useBodyColor | ) |
Sets whether grid line use body color
Created in NX5.0.0.
License requirements : None
useBodyColor | use body color |
void NXOpen::Preferences::PartModeling::SetGridUseBodyFont | ( | bool | useBodyFont | ) |
Sets whether grid use body font
Created in NX5.0.0.
License requirements : None
useBodyFont | use body font |
void NXOpen::Preferences::PartModeling::SetHistoryFreeMode | ( | ) |
Changes the modeling mode to History-Free Modeling.
This will remove parameters from features in the model. Feature edit will not be available and the model will not update.
Created in NX6.0.0.
License requirements : None
void NXOpen::Preferences::PartModeling::SetHistoryMode | ( | ) |
Changes the modeling mode to History Modeling.
This will remove Local feature from the model.
Created in NX6.0.0.
License requirements : None
void NXOpen::Preferences::PartModeling::SetOptimizeCurve | ( | bool | optimizeCurve | ) |
Sets the optimize curve flag
Created in NX8.0.0.
License requirements : None
optimizeCurve | Flag indicating whether Optimized Curve should be performed |
void NXOpen::Preferences::PartModeling::SetOptimizeCurveToleranceFactor | ( | double | optimieCurveFactor | ) |
Sets the optimize curve tolerance factor
Created in NX8.0.0.
License requirements : None
optimieCurveFactor | Factor for performing Optimized Curve |
tag_t NXOpen::Preferences::PartModeling::Tag | ( | ) | const |
Returns the tag of this object.